# brasser.py
A Python library for generating cryptographically random UUIDs.

## Installation

```
$ pip install brasser
```

## Brief

"Brasser" is a Python library that provides a function for generating cryptographically random UUIDs (Universally Unique Identifiers). UUIDs are used to uniquely identify resources, and are often used as keys in databases or as part of URLs to identify web resources. The UUIDs generated by the `generate_uuid` function in the "brasser" library are randomly generated using the `os.urandom` function, which generates random bytes using the operating system's secure random number generator. This makes the UUIDs generated by "brasser" suitable for use in security-sensitive applications where uniqueness and unpredictability are important.

## Example Usage

```py
from brasser import generate_uuid

uuid = generate_uuid()
print(uuid)  # Prints a new random UUID each time
```
